Re: [Rpm-maint] [rpm-software-management/rpm] debugedit: Fix missing relocation of .debug_types section. (#1323)

2020-08-07 Thread Jan Kratochvil
It looks to me as reviewed: http://lists.rpm.org/pipermail/rpm-maint/2020-August/014792.html http://lists.rpm.org/pipermail/rpm-maint/2020-August/014797.html -- You are receiving this because you are subscribed to this thread. Reply to this email directly or view it on GitHub:

Re: [Rpm-maint] [rpm-software-management/rpm] debugedit: Fix missing relocation of .debug_types section. (#1323)

2020-08-07 Thread Jan Kratochvil
On Fri, 07 Aug 2020 13:55:35 +0200, Mark Wielaard wrote: > But I pulled > that branch and reviewed the actual commits (1d080e02 and c804a960). git clone -b types g...@github.com:jankratochvil/rpm.git rpm-types commit 8b5bbcc6d586be50b6a251256c39c3b0332b1f2b debugedit: Fix missing relocation

Re: [Rpm-maint] [rpm-software-management/rpm] how to cross compile fedora source rpm for RISC-V architecture (#1327)

2020-08-07 Thread Florian Festi
Closed #1327. -- You are receiving this because you are subscribed to this thread. Reply to this email directly or view it on GitHub: https://github.com/rpm-software-management/rpm/issues/1327#event-3633734263___ Rpm-maint mailing list

Re: [Rpm-maint] [rpm-software-management/rpm] how to cross compile fedora source rpm for RISC-V architecture (#1327)

2020-08-07 Thread Florian Festi
This is the ticket system for rpm development and not a support forum. General question on using rpm can go on the rpm mailing list or the #rpm.org IRC channel. See http://rpm.org/community.html for details. About your question: Bootstrapping a distribution like Fedora is a non trivial task

Re: [Rpm-maint] [rpm-software-management/rpm] Can not parse CHANGELOGTEXT from the specfile (#1301)

2020-08-07 Thread Florian Festi
Well, there's not really a way to fix the behaviour of _changelog_trimtime. We could amend it to keep a minimum number of entries even if they are older. If we want to keep entries based on a time frame we basically need a new macro. This of course raises the question of how these features

[Rpm-maint] [rpm-software-management/rpm] how to cross compile fedora source rpm for RISC-V architecture (#1327)

2020-08-07 Thread Billa Surendra
Dear all, Can anyone please help me out, how to cross compile fedora source rpm for RISC-V. Thanks Billa Surendra -- You are receiving this because you are subscribed to this thread. Reply to this email directly or view it on GitHub:

Re: [Rpm-maint] [rpm-software-management/rpm] debugedit: Fix missing relocation of .debug_types section. (#1323)

2020-08-07 Thread Mark Wielaard
Hi Jan, On Sat, 2020-08-01 at 11:23 +0200, Jan Kratochvil wrote: > debugedit: Fix missing relocation of .debug_types section. > https://github.com/rpm-software-management/rpm/pull/1323 I believe our mail review comments don't make it to that website. And given that there are some forced updates

Re: [Rpm-maint] [rpm-software-management/rpm] Can not parse CHANGELOGTEXT from the specfile (#1301)

2020-08-07 Thread Panu Matilainen
Ehm, except that of course the trimtime is in the *past* so that "logic" is completely flawed. Better not touch anything serious today, clearly :joy: -- You are receiving this because you are subscribed to this thread. Reply to this email directly or view it on GitHub:

Re: [Rpm-maint] [rpm-software-management/rpm] OpenMP & Lua fixes for configure.ac & INSTALL (#1325)

2020-08-07 Thread ニール・ゴンパ
@Conan-Kudo commented on this pull request. > @@ -761,9 +778,9 @@ AC_ARG_WITH([lua], [AS_HELP_STRING([--with-lua], [build > with lua support])], AS_IF([test "$with_lua" != no],[ PKG_CHECK_MODULES([LUA], -[lua >= 5.1], +[lua >= 5.2], Hah, I thought we actually dropped Lua 5.2

Re: [Rpm-maint] [rpm-software-management/rpm] Can not parse CHANGELOGTEXT from the specfile (#1301)

2020-08-07 Thread Panu Matilainen
Of course, that's incompatible with the existing implementation that takes an absolute timestamp as the cut-off point. That design is not one of our brighter moments... Perhaps we could do a little heuristic and determine any changelog_trimtime value earlier than "now" as a delta, and if

[Rpm-maint] [rpm-software-management/rpm] rpm --delsign changes the arch element of the lead (#1326)

2020-08-07 Thread Michael Schroeder
Judging from commit 3255273ae0fabd03c9738249a29c9c1e15f28f64 which broke this you may not care about this. Opening this issue anyway for documentation purposes: rpm no longer copies over the lead data verbatim when creating or deleting signatures, but recreates it from the header. This does

Re: [Rpm-maint] [rpm-software-management/rpm] OpenMP & Lua fixes for configure.ac & INSTALL (#1325)

2020-08-07 Thread Michal Domonkos
@dmnks commented on this pull request. > @@ -761,9 +778,9 @@ AC_ARG_WITH([lua], [AS_HELP_STRING([--with-lua], [build > with lua support])], AS_IF([test "$with_lua" != no],[ PKG_CHECK_MODULES([LUA], -[lua >= 5.1], +[lua >= 5.2], Heh, it's funny how easy is to misread the subject

Re: [Rpm-maint] [rpm-software-management/rpm] OpenMP & Lua fixes for configure.ac & INSTALL (#1325)

2020-08-07 Thread Michal Domonkos
> Sometimes it's better to test for specifics features, sometimes for versions. > I don't know how the OpenMP landscape looks like, but sometimes > implementations only support a subset of a newer standard in which case > testing for specific features is the friendlier way. My impression after

Re: [Rpm-maint] [rpm-software-management/rpm] OpenMP & Lua fixes for configure.ac & INSTALL (#1325)

2020-08-07 Thread Panu Matilainen
Just for a data point, OpenMP 4.5 is supported in clang >= 7 and gcc >= 6, both from 2018. Which is brand new software barely off its wrappings in terms of rpm software requirements :smile: -- You are receiving this because you are subscribed to this thread. Reply to this email directly or

Re: [Rpm-maint] [rpm-software-management/rpm] OpenMP & Lua fixes for configure.ac & INSTALL (#1325)

2020-08-07 Thread Panu Matilainen
> A more user-friendly way of dealing with this would actually be the opposite, > i.e. making the use of the priority keyword conditional at preprocessing, > based on the detected OpenMP version (which is trivial to do as shown in the > patch) because as you say, all that the keyword really

Re: [Rpm-maint] [rpm-software-management/rpm] OpenMP & Lua fixes for configure.ac & INSTALL (#1325)

2020-08-07 Thread Panu Matilainen
@pmatilai commented on this pull request. > @@ -761,9 +778,9 @@ AC_ARG_WITH([lua], [AS_HELP_STRING([--with-lua], [build > with lua support])], AS_IF([test "$with_lua" != no],[ PKG_CHECK_MODULES([LUA], -[lua >= 5.1], +[lua >= 5.2], Because 5.2 is the actually required minimum?

Re: [Rpm-maint] [rpm-software-management/rpm] pythondistdeps: Switch to importlib.metadata (#1317)

2020-08-07 Thread Steve Kowalik
Any updates on the test suite investigation? Is there anything I can do to help? -- You are receiving this because you are subscribed to this thread. Reply to this email directly or view it on GitHub: